Subject: Summary: Parallelized SHAKE

From: [email-masked] (Gabriel Berriz)
Date: Thu, 21 Nov 1996 10:12:40 -0500

Dear netters:

A few days ago I posted a request for information on published
parallelized versions of the SHAKE algorithm.  Here's a summary of
responses:

@ARTICLE{shake_par0,
		AUTHOR  = {Stephen E. DeBolt and Peter A. Kollman},
		TITLE   = {{AMBERCUBE MD}, Parallelization of {AMBER}'s Molecular
		Dynamics Module for Distributed-Memory Hypercube Computers},
		JOURNAL = {Journal of Computational Chemistry},
		VOLUME  = 14,
		NUMBER	= 3,
		PAGES   = {312-329},
		YEAR    = 1993
		}

@ARTICLE{shake_par1,
		AUTHOR  = {W. Smith and D. Fincham},
		TITLE   = {The {E}wald Sum in Truncated Octahedral and Rhombic
		Dodecahedral Boundary Conditions},
		JOURNAL = {Molecular Simulation},
		VOLUME  = 10,
		PAGES   = {67},
		YEAR    = 1993
		}

@ARTICLE{shake_par2,
		AUTHOR  = {W. Smith and T. R. Forester},
		TITLE   = {Parallel Macromolecular Simulations and the
		Replicated Data Strategy.  II. The {RD-SHAKE} Algorithm},
		JOURNAL = {Computer Physics Communications},
		VOLUME  = 79,
		PAGES   = {63-77},
		YEAR    = 1994
		}

I have not been able to look at the reference by Smith and Fincham,
but the other two go into parallelizations of SHAKE in detail.  (I
imagine there will be at least some overlap between the Smith and
Fincham, and the Smith and Forester papers.)

A related suggested alternative is to obtain the source code of the
Smith/Forester software (DL_POLY), which is freely available upon
signing a license agreement.  For more details, consult:

   http://gserv1.dl.ac.uk/TCSC/Software/DL_POLY/main.html

I want to thank all those who replied to my query.

Gabriel Berriz
[email-masked]
Dept. of Chemistry and Chemical Biology
Harvard University